/**
 * @author 海狸
 * @description 组件生命周期
 */
/**
 * 开放组件生命周期属性
 */
export interface LifecycleProps<T = object> {
    container?: HTMLElement;
    customProps?: T;
}
/**
 * 开机阶段钩子
 */
export declare type LifecycleBootstrap<T = object, P = any> = (props?: LifecycleProps<T>) => void | Promise<P>;
/**
 * 渲染阶段钩子
 */
export declare type LifecycleMount<T = object, P = any> = (props?: LifecycleProps<T>) => void | Promise<P>;
/**
 * 卸载阶段钩子
 */
export declare type LifecycleUnmount<T = object, P = any> = (props?: LifecycleProps<T>) => void | Promise<P>;
/**
 * 更新阶段钩子
 */
export declare type LifecycleUpdate<T = object, P = any> = (props?: LifecycleProps<T>) => void | Promise<P>;
/**
 * 开放组件生命周期
 */
export interface Lifecycle {
    bootstrap?: LifecycleBootstrap;
    mount?: LifecycleMount;
    unmount?: LifecycleUnmount;
    update?: LifecycleUpdate;
}
