/**
 * @author 海狸
 * @description 组件元信息接口
 */
import { ComponentProps } from './component-props';
import { DataSchema } from './data-schema';
import { MenuSchema } from './menu-schema';
import { StyleSchema } from './style-schema';
/**
 * 面板配置
 */
export interface ComponentMetaPropsSchema {
    /** 数据面板配置 */
    dataSchema?: DataSchema;
    /** 样式面板配置 */
    styleSchema?: StyleSchema | ((componentProps: ComponentProps) => StyleSchema);
    /** 高级面板配置 */
    advancedSchema?: StyleSchema | ((componentProps: ComponentProps) => StyleSchema);
    /** 自定义菜单配置 */
    menuSchema?: MenuSchema;
}
/**
 * 组件元信息
 */
export interface ComponentMeta {
    propsSchema?: ComponentMetaPropsSchema;
}
