/**
 * @author 海狸
 * @description 自定义菜单配置
 */
import { ComponentProps } from './component-props';
export interface MenuSchema {
    schema: MenuSchemaBase;
}
/** styleSchema 配置 */
export interface MenuSchemaBase {
    [menuKey: string]: MenuSchemaItem;
}
/** styleSchema 配置 */
export interface MenuSchemaItem {
    /** 菜单项标题 */
    title: string;
    /** 菜单项图标 */
    icon?: string;
    /** 点击事件回调 */
    onClick?: (props: ComponentProps) => void;
    /** 是否禁用菜单项 */
    disabled?: boolean | ((props: ComponentProps) => boolean);
    /** 是否隐藏菜单项 */
    hidden?: boolean | ((props: ComponentProps) => boolean);
}
